<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_LongTermRetentionsForConstructionContractsAssets" xlink:type="locator" xlink:label="LongTermRetentionsForConstructionContractsAssets"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_ShortTermRetentionsForConstructionContractsAssets" xlink:type="locator" xlink:label="ShortTermRetentionsForConstructionContractsAssets"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_LongTermRetentionsForConstructionContractsLiabilities" xlink:type="locator" xlink:label="LongTermRetentionsForConstructionContractsLiabilities"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_ShortTermRetentionsForConstructionContractsLiabilities" xlink:type="locator" xlink:label="ShortTermRetentionsForConstructionContractsLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SellingExpense" xlink:type="locator" xlink:label="SellingExpense"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_AdjustmentsForLossesGainsOnInvestingActivities" xlink:type="locator" xlink:label="AdjustmentsForLossesGainsOnInvestingActivities"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:type="locator" xlink:label="AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_AdjustmentsForForeignExchangeLossesGains" xlink:type="locator" xlink:label="AdjustmentsForForeignExchangeLossesGains"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAdvancesAndLoansMadeToRelatedParties" xlink:type="locator" xlink:label="CashAdvancesAndLoansMadeToRelatedParties"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" xlink:type="locator" xlink:label="PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod"/>
        <link:loc xlink:href="uni-2022-12-31.xsd#uni_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:type="locator" xlink:label="TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsAssets" xlink:to="label_LongTermRetentionsForConstructionContractsAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsAssets" xlink:to="documentation_LongTermRetentionsForConstructionContractsAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsAssets" xlink:to="label_ShortTermRetentionsForConstructionContractsAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsAssets" xlink:to="documentation_ShortTermRetentionsForConstructionContractsAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsLiabilities" xlink:to="label_LongTermRetentionsForConstructionContractsLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsLiabilities" xlink:to="documentation_LongTermRetentionsForConstructionContractsLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsLiabilities" xlink:to="label_ShortTermRetentionsForConstructionContractsLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsLiabilities" xlink:to="documentation_ShortTermRetentionsForConstructionContractsLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SellingExpense" xlink:to="negated_SellingExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForLossesGainsOnInvestingActivities" xlink:to="label_AdjustmentsForLossesGainsOnInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForLossesGainsOnInvestingActivities" xlink:to="documentation_AdjustmentsForLossesGainsOnInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:to="label_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:to="documentation_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForForeignExchangeLossesGains" xlink:to="label_AdjustmentsForForeignExchangeLossesGains" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForForeignExchangeLossesGains" xlink:to="documentation_AdjustmentsForForeignExchangeLossesGains" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAdvancesAndLoansMadeToRelatedParties" xlink:to="negated_CashAdvancesAndLoansMadeToRelatedParties" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" xlink:to="negated_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:to="label_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:to="documentation_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:type="arc"/>
        <link:label id="label_LongTermRetentionsForConstructionContractsAssets_pl" xlink:label="label_LongTermRetentionsForConstructionContractsAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Długoterminowe kaucje udzielone aktywa</link:label>
        <link:label id="documentation_LongTermRetentionsForConstructionContractsAssets_pl" xlink:label="documentation_LongTermRetentionsForConstructionContractsAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Długoterminowe kaucje udzielone aktywa</link:label>
        <link:label id="label_ShortTermRetentionsForConstructionContractsAssets_pl" xlink:label="label_ShortTermRetentionsForConstructionContractsAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Krótkoterminowe kaucje udzielone aktywa</link:label>
        <link:label id="documentation_ShortTermRetentionsForConstructionContractsAssets_pl" xlink:label="documentation_ShortTermRetentionsForConstructionContractsAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Krótkoterminowe kaucje udzielone aktywa</link:label>
        <link:label id="label_LongTermRetentionsForConstructionContractsLiabilities_pl" xlink:label="label_LongTermRetentionsForConstructionContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Długoterminowe kaucje otrzymane zobowiązania</link:label>
        <link:label id="documentation_LongTermRetentionsForConstructionContractsLiabilities_pl" xlink:label="documentation_LongTermRetentionsForConstructionContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Długoterminowe kaucje otrzymane zobowiązania</link:label>
        <link:label id="label_ShortTermRetentionsForConstructionContractsLiabilities_pl" xlink:label="label_ShortTermRetentionsForConstructionContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Krótkoterminowe kaucje otrzymane zobowiązania</link:label>
        <link:label id="documentation_ShortTermRetentionsForConstructionContractsLiabilities_pl" xlink:label="documentation_ShortTermRetentionsForConstructionContractsLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Krótkoterminowe kaucje otrzymane zobowiązania</link:label>
        <link:label id="negated_SellingExpense_pl" xlink:label="negated_SellingExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty sprzedaży</link:label>
        <link:label id="label_AdjustmentsForLossesGainsOnInvestingActivities_pl" xlink:label="label_AdjustmentsForLossesGainsOnInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Korekty z tytułu strat (zysków) z działalności inwestycyjnej</link:label>
        <link:label id="documentation_AdjustmentsForLossesGainsOnInvestingActivities_pl" xlink:label="documentation_AdjustmentsForLossesGainsOnInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Korekty z tytułu strat (zysków) z działalności inwestycyjnej</link:label>
        <link:label id="label_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome_pl" xlink:label="label_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Korekty wynikające z kosztów z tytułu odsetek, przychodów z tytułu odsetek i przychodu z tytułu dywidend</link:label>
        <link:label id="documentation_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome_pl" xlink:label="documentation_AdjustmentsForInterestExpenseInterestIncomeAndDividendIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Korekty wynikające z kosztów z tytułu odsetek, przychodów z tytułu odsetek i przychodu z tytułu dywidend</link:label>
        <link:label id="label_AdjustmentsForForeignExchangeLossesGains_pl" xlink:label="label_AdjustmentsForForeignExchangeLossesGains" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Korekty wynikające z zysków (strat) z tytułu różnic kursowych</link:label>
        <link:label id="documentation_AdjustmentsForForeignExchangeLossesGains_pl" xlink:label="documentation_AdjustmentsForForeignExchangeLossesGains" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Korekty wynikające z zysków (strat) z tytułu różnic kursowych</link:label>
        <link:label id="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_pl" xlink:label="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Zakup rzeczowych aktywów trwałych, wartości niematerialnych innych niż wartość firmy, nieruchomości inwestycyjnych oraz innych aktywów trwałych</link:label>
        <link:label id="negated_CashAdvancesAndLoansMadeToRelatedParties_pl" xlink:label="negated_CashAdvancesAndLoansMadeToRelatedParties" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Zaliczki gotówkowe wpłacane i pożyczki udzielane podmiotom powiązanym</link:label>
        <link:label id="negated_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod_pl" xlink:label="negated_PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Zakup udziałów w inwestycjach rozliczanych zgodnie z metodą praw własności</link:label>
        <link:label id="label_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities_pl" xlink:label="label_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Zobowiązania z tytułu dostaw i usług oraz pozostałe zobowiązania krótkoterminowe inne niż zobowiązania krótkoterminowe z tytułu umów</link:label>
        <link:label id="documentation_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities_pl" xlink:label="documentation_TradeAndOtherCurrentPayablesOtherThanCurrentContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Zobowiązania z tytułu dostaw i usług oraz pozostałe zobowiązania krótkoterminowe inne niż zobowiązania krótkoterminowe z tytułu umów</link:label>
    </link:labelLink>
</link:linkbase>
